Bug 152079 - Imported PCL PPD files does not work
Imported PCL PPD files does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 13:33 EST by George Liu
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 10:55:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Liu 2005-03-24 13:33:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) KHTML/3.2.3 (like Gecko)

Description of problem:
Download HP Color Laserjet 4600 hpijs driver from linuxprinting.org.            
Modified the PPD file (including manufacture, model, etc)           
Import the modified PPD file into Printer Configuration tool           
Add the new PCL printer           
The printer only support very limited number of options, far less than           
specified in the PPD file, and it does not work.            
           
Checked /etc/cups/ppd, the imported pcl ppd file is totally different than the           
ppd file I want to import.            

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download HP Color Laserjet 4600 hpijs driver from linuxprinting.org.          
2. Modify the PPD file, change manufacture and model name          
3. Import the modified PPD file into Printer Configuration tool          
4. Add the new PCL printer               
          

Actual Results:  The printer only support very limited number of options, far less than             
specified in the PPD file, and it does not work. 
/etc/cups/ppd is different with the imported ppd file       

Expected Results:  Printer should support all options specified in the imported ppd file, and it 
should be able to print  

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:12:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Tim Waugh 2006-07-12 10:55:26 EDT
Issues like this should be fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.